Runwayml-Gen3a_turbo-5 - Video To Video
Runwayml-Gen3a_turbo-5 — Video To Video. GPTProto API reference.
POST
/
runway
/
v1
/
pro
/
video2video
official-format (video to video)
curl --request POST \
--url https://api.example.com/runway/v1/pro/video2videoimport requests
url = "https://api.example.com/runway/v1/pro/video2video"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/runway/v1/pro/video2video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Runway’s video to video.mdx for the video to video API.
curl -X POST "https://gptproto.com/runway/v1/pro/video2video" \
-H "Authorization: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "http://source.baidu.com/attachments/video/runway/20241117/28ed9d05e1dc84bede45541855500aa9.mp4",
"model": "runwayml-gen3a_turbo-5",
"prompt": "pixel style",
"options": {
"structure_transformation": 0.5,
"flip": true
}
}'
import requests
import json
url = "https://gptproto.com/runway/v1/pro/video2video"
headers = {
"Authorization": "YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {
"video": "http://source.baidu.com/attachments/video/runway/20241117/28ed9d05e1dc84bede45541855500aa9.mp4",
"model": "runwayml-gen3a_turbo-5",
"prompt": "pixel style",
"options": {
"structure_transformation": 0.5,
"flip": true
}
}
response = requests.post(url, headers=headers, json=data)
result = response.json()
print(json.dumps(result, indent=2))
const url = "https://gptproto.com/runway/v1/pro/video2video";
const headers = {
"Authorization": "YOUR_API_KEY",
"Content-Type": "application/json"
};
const data = {
"video": "http://source.baidu.com/attachments/video/runway/20241117/28ed9d05e1dc84bede45541855500aa9.mp4",
"model": "runwayml-gen3a_turbo-5",
"prompt": "pixel style",
"options": {
"structure_transformation": 0.5,
"flip": true
}
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(data)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error("Error:", error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://gptproto.com/runway/v1/pro/video2video"
payload := []byte(`{
"video": "http://source.baidu.com/attachments/video/runway/20241117/28ed9d05e1dc84bede45541855500aa9.mp4",
"model": "runwayml-gen3a_turbo-5",
"prompt": "pixel style",
"options": {
"structure_transformation": 0.5,
"flip": true
}
}`)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
req.Header.Set("Authorization", "YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"error": {
"message": "Invalid signature",
"type": "401"
}
}
{
"error": {
"message": "Insufficient balance",
"type": "403"
}
}
{
"error": {
"message": "Internal server error",
"type": "500"
}
}
{
"error": {
"message": "Input may not meet the guidelines. Please adjust and try again.",
"type": "503"
}
}
Parameters
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
video | string | ❌ No | http://source.baidu.com/attachments/video/runway/20241117/28ed9d05e1dc84bede45541855500aa9.mp4 | Video parameter |
model | string | ✅ Yes | runwayml-gen3a_turbo-5 | The model to use for the request |
prompt | string | ✅ Yes | pixel style | Prompt parameter |
options | object | ❌ No | {"structure_transformation": 0.5, "flip": true} | Options parameter |
⌘I

